Payment links
Create payment link
Initiate a payment link that deposits funds to a specific funding source (wallet).
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.invinciblepay.com/v1/payment-links" \ -H "Content-Type: application/json" \ -d '{ "amount": "string", "currency": "CAD", "description": "string", "fundingSourceId": "string", "payerName": "string" }'{
"accountId": "string",
"amount": "string",
"createdAt": 0,
"currency": "CAD",
"description": "string",
"expiresAt": 0,
"fundingSourceId": "string",
"id": "string",
"payerName": "string",
"paymentUrl": "string",
"reference": "string",
"status": "pending",
"transactionId": "string"
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}{
"error": "string",
"error_code": {}
}